org.apache.datasketches.tuple.strings

## Class ArrayOfStringsSummaryFactory

- java.lang.Object
- - org.apache.datasketches.tuple.strings.ArrayOfStringsSummaryFactory

All Implemented Interfaces:
  SummaryFactory<ArrayOfStringsSummary>

    public class ArrayOfStringsSummaryFactory
    extends Object
    implements SummaryFactory<ArrayOfStringsSummary>

Author:
  Lee Rhodes

### Constructor Summary

Constructors
Constructor and Description
`ArrayOfStringsSummaryFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrayOfStringsSummary` `newSummary()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayOfStringsSummaryFactory

    public ArrayOfStringsSummaryFactory()

### Method Detail

#### newSummary

    public ArrayOfStringsSummary newSummary()

Specified by:
  `newSummary` in interface `SummaryFactory<ArrayOfStringsSummary>`
Returns:
  new instance of Summary